@import "config/config";


body{
  font-family: $main_font;
  font-weight: 300;
  color: $text_color;
  line-height: 1.3;
  //letter-spacing: 0.031em;
  letter-spacing: 0.04em;

  h2{
    //font-family: $headline_font;
    font-family: $bold_kix_font;
    color: $kix_green;
    font-size: 2em;
    text-transform: uppercase;
    text-align: center;
    //letter-spacing: 3px;
    //letter-spacing: 0.15em;
  }

  h3{
    text-align: center;
    font-family: $small_headline_font;
    font-size: 1em;
    font-weight: normal;
    text-transform: uppercase;
    margin: 0px;
    padding-top: 15px;
    padding-bottom: 15px;
    //letter-spacing: 3px;
    letter-spacing: 0.219em;
  }

  h4{
    text-align: center;
    //font-family: $headline_font;
    font-family: $bold_kix_font;
    color: $h4_dark_grey;
    font-size: 15px;
  }

  h2.blue, h3.blue, h4.blue {
   color: $kix_blue;
  }
  
  h3.light_grey {
   color: $light_grey_text;
  }
  
  
  .ce_text_homeslider{
    h1{
      color: $white;
    }
  }
  .ce_headline,
  .ce_text{
    //max-width: 780px;
    width: 90vw;
    margin: auto;
  }
  
  .green {
   color: $kix_green;
  }

  a:link{
    color: $kix_green;
    //text-decoration: none;
    text-decoration: none;
  }
  a:visited{
    color: $kix_dark_green;
  }

  .formbody{
    text-align: center;
  }

  @media (min-width: 768px) {
    .ce_headline,
    .ce_text{
      max-width: 780px;
      width: 54vw;
      margin: auto;
      
      &.smallbox {
         width: 40vw;
      }
    }
  }
  
  @media (min-width: 1150px) {      
      .ce_text.smallbox {
         width: 30vw;
      }
  }

  #homeslider{
    position: relative;
  }

}

body.company {
  h2, h3, h4{
    color: $kix_blue;
  }
}

td.col_1, .head_1 {
  padding-right: 40px;
}

.ce_image .image_container picture img {
  width: 100%;
}

.center-image{
  figure{
    text-align: center;
  }
}

.header_image{
  figure.image_container{
    height: 95vh;
    img{
      width: 100%;
    }
  }
}

.upper_corners_rounded{
  position: relative;
  margin-top: -15px;
  border-radius: 15px 15px 0 0;
}

.space_before{
  padding-top: 50px !important;
}

.space_after{
  padding-bottom: 50px !important;
}

.small_space_before{
  padding-top: 25px !important;
}

.small_space_after{
  padding-bottom: 25px !important;
}

.double_space_before{
  padding-top: 100px !important;
}

.double_space_after{
  padding-bottom: 100px !important;
}

.xl_space_before{
  padding-top: 150px !important;
}

.xl_space_after{
  padding-bottom: 150px !important;
}

.align_center{
  text-align: center;
}

.hide{
  display: none;
}


.bg_dark_grey,
.bg_blue,
.bg_green,
.bg_gradient_blue_to_bottom,
.bg_gradient_green_to_bottom,
.bg_gradient_green_to_right,
.bg_gradient_green_to_left{
  color: $white;
  h2, h3{
    color: $white!important;
  }

  p{
    color: $white;
  }

  .btn{
    a,
    a:visited,
    a:link{
      background-color: $white;
      color: $kix_green;
      border: none;
    }
  }

}

.compatibility{
  table{
    border-collapse: collapse;
    tr{
      border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    }
  }
}

.table table{
	width: 90vw;
    max-width: 1130px;
	margin-left: auto;
	margin-right: auto;
	border-collapse: collapse;
	
	thead{
		background-color: #ebebf0;
        text-align: left;
	}
	
	tbody{
		tr.even{
			background-color: #fafafa;
		}
		tr.odd{
			background-color: #ffffff;
		}
        tr td{
            padding-left: 0.5em;
        }
	}
	
    tr{
      border-bottom: 1px solid rgba(0, 0, 0, 0.2);
	  line-height: 1.5;
	  
	  td{
	  	padding-right: 10px;
		vertical-align: top;
	  }
    }
}

.mod_xmlTable{
  width: 90vw;
  max-width: 1130px;
  margin-left: auto;
  margin-right: auto;

  input{
    margin-bottom: 40px;
    max-width: 400px;
    width: 100%;
    display: block;
    margin-left: auto;
    margin-right: auto;
  }
}

.hyperlink_txt {
  margin: 5px;
}

.apply-now{
  color: #969696;
  font-family: TTSupermolotNeue-ExpBlack;
  font-size: 15px;

  p{
    padding: 0;
    margin: 0;
  }
}

.ce_downloads {
  h4{
    text-align: left;
    text-transform: uppercase;
  }

  ul{
    list-style-type: none;
    padding-left: 0;

    li a:link{
      color: $text_color;
      text-decoration: none;
    }
    li a:hover{
      color: $kix_green;
    }
  }
}

#support-migration{
  h4{
    text-align: left;
    text-transform: uppercase;
  }
}

.support-democenter{
  .tile .btn{
    margin-top: -70px;
  }
}

.image-center{
  figure{
    text-align: center;
  }
}

.imagebuttons-larger{
  img{
    width: 220px;
  }
}

.higher{
  margin-top: -20px;
}

.link-grey{

  a:link,
  a:visited{
    color: $h4_dark_grey;
  }

  a:hover{
    color: $kix_green;
  }
}

.schulungen-table{
  table{
    p, strong{
      padding: 0 10px 0 20px;
    }
  }
}